<assembly xmlns="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.0"
          xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
          xsi:schemaLocation="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.0 http://maven.apache.org/xsd/assembly-1.1.0.xsd">

    <id>delivery</id>
    
    <formats>
        <format>zip</format>
    </formats>

    <fileSets>
        <fileSet>
            <directory>${project.basedir}/../pillar4-helper-app/documentation</directory>
            <outputDirectory>/documentation</outputDirectory>
        </fileSet>
        <fileSet>
            <directory>${project.basedir}/../../..</directory>
            <outputDirectory>/sources/eu.europa.op</outputDirectory>
            <excludes>
               <exclude>**/target/</exclude>
            </excludes>
        </fileSet>
    </fileSets>

    <dependencySets>
        <dependencySet>
            <useProjectArtifact>true</useProjectArtifact>
            <useProjectAttachments>true</useProjectAttachments>
            <outputDirectory>/</outputDirectory>
            <includes>
                <include>${project.groupId}:pillar4-helper-app:jar:onejar:${project.version}</include>
            </includes>
        </dependencySet>
        <dependencySet>
            <useProjectArtifact>true</useProjectArtifact>
            <useProjectAttachments>true</useProjectAttachments>
            <outputDirectory>/sources-artifact</outputDirectory>
            <includes>
                <include>${project.groupId}:pillar4-helper-lib:jar:sources:${project.version}</include>
                <include>${project.groupId}:pillar4-helper-app:jar:sources:${project.version}</include>
            </includes>
        </dependencySet>

    </dependencySets>


</assembly>